package com.fs.course.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.course.domain.FsUserCourseLike;

/**
 * 课堂点赞Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserCourseLikeService
{
    /**
     * 查询课堂点赞
     *
     * @param id 课堂点赞主键
     * @return 课堂点赞
     */
    public FsUserCourseLike selectFsUserCourseLikeById(Long id);

    /**
     * 查询课堂点赞列表
     *
     * @param fsUserCourseLike 课堂点赞
     * @return 课堂点赞集合
     */
    public List<FsUserCourseLike> selectFsUserCourseLikeList(FsUserCourseLike fsUserCourseLike);

    /**
     * 新增课堂点赞
     *
     * @param fsUserCourseLike 课堂点赞
     * @return 结果
     */
    public int insertFsUserCourseLike(FsUserCourseLike fsUserCourseLike);

    /**
     * 修改课堂点赞
     *
     * @param fsUserCourseLike 课堂点赞
     * @return 结果
     */
    public int updateFsUserCourseLike(FsUserCourseLike fsUserCourseLike);

    /**
     * 批量删除课堂点赞
     *
     * @param ids 需要删除的课堂点赞主键集合
     * @return 结果
     */
    public int deleteFsUserCourseLikeByIds(Long[] ids);

    /**
     * 删除课堂点赞信息
     *
     * @param id 课堂点赞主键
     * @return 结果
     */
    public int deleteFsUserCourseLikeById(Long id);

    R checkLike(Long courseId, long userId);

    int deleteLike(Long courseId, long userId);
}
